Subject: Implement referential integrity for reference properties
Description

Removing a node should not be possible when there are still references to that node.

Creating a reference property to a non-existant node should not be possible.

How would this interact with the persistence layer above the repository layer?

Might lead to problems if it tries to do operations in the wrong order.

Associated revisions
Revision 817d56c1 - 2008-11-21 18:30 - Karsten Dambekalns
TYPO3CR:
    -  Property objects returned by get[Weak]References() now have the correct parent node
    -  removal of a node is no longer possible if the node has "external" references pointing to it, fixes  #1481, refs #1482
    -  some optimisations to get rid of misused exceptions and to speed up things in getDepth(), getPath(), getRootNode()
    -  the JSON controller is now a service properly based on RESTController
    -  some cleanup to NodeTest and SessionTest

History
#1 - 2008-10-28 13:14 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 197

#2 - 2008-11-21 18:31 - Karsten Dambekalns
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1524.

#3 - 2008-11-21 18:36 - Karsten Dambekalns
- Category set to Property handling
- Assigned To set to Karsten Dambekalns

#4 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
